Package org.apache.qpid.proton.reactor.impl

# Class IOHandler

java.lang.Object
org.apache.qpid.proton.engine.BaseHandler
org.apache.qpid.proton.reactor.impl.IOHandler

All Implemented Interfaces:
  `CoreHandler`, `Handler`

public class IOHandler extends BaseHandler

## Constructor Summary

Constructors
Constructor
Description
`IOHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onUnhandled(Event event)`
`protected static Selectable`
`selectableTransport(Reactor reactor, Socket socket, Transport transport)`

### Methods inherited from class org.apache.qpid.proton.engine.BaseHandler

`add, children, getHandler, getHandler, handle, onConnectionBound, onConnectionFinal, onConnectionInit, onConnectionLocalClose, onConnectionLocalOpen, onConnectionRemoteClose, onConnectionRemoteOpen, onConnectionUnbound, onDelivery, onLinkFinal, onLinkFlow, onLinkInit, onLinkLocalClose, onLinkLocalDetach, onLinkLocalOpen, onLinkRemoteClose, onLinkRemoteDetach, onLinkRemoteOpen, onReactorFinal, onReactorInit, onReactorQuiesced, onSelectableError, onSelectableExpired, onSelectableFinal, onSelectableInit, onSelectableReadable, onSelectableUpdated, onSelectableWritable, onSessionFinal, onSessionInit, onSessionLocalClose, onSessionLocalOpen, onSessionRemoteClose, onSessionRemoteOpen, onTimerTask, onTransport, onTransportClosed, onTransportError, onTransportHeadClosed, onTransportTailClosed, setHandler, setHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IOHandler

public IOHandler()

## Method Details

### selectableTransport

protected static Selectable selectableTransport(Reactor reactor, Socket socket, Transport transport)

### onUnhandled

public void onUnhandled(Event event)

Specified by:
  `onUnhandled` in interface `Handler`
Overrides:
  `onUnhandled` in class `BaseHandler`